<template>
  <div class="order-tracking__container payment">
    <h2>
      FIN19 259 7345
      <sup>оплачено</sup>
    </h2>

    <div class="payment__stats">
      <form-statistic :item="order"/>
    </div>

    <ObTabs
        v-model="selectedTab"
        :items="tabsItems"
    >
      <paymentTable v-for="(order, index) in services" :key="index" :order="order" isFooterDisabled/>
    </ObTabs>
  </div>
</template>

<script>
  import FormStatistic from '../paymentOrder/formStatistic';
  import ObTabs from 'common-components/src/obComponents/obTabs';
  import paymentTable from '../paymentOrder/tablePayment';

  export default {
    name: 'ordertrackingPayment',

    components: {
      FormStatistic,
      ObTabs,
      paymentTable,
    },

    data () {
      return {
        selectedTab: {
          uuid: 'base',
          title: 'Начисления 3'
        },
        tabsItems: [
          {
            uuid: 'base',
            title: 'Начисления 3'
          }
        ],
        order: {
          number: 'FIN19 259 7345',
          serviceTitle: 'Перевозка крупнотоннажным автотранспортом: Полуприцеп. Изотерм. 20 т / 86 м3 / 33 пал',
          startAddress: "Москва",
          endAddress: "Санкт-Петербург",
          totalPrice: '2 022 000',
          nds: '44 000',
          payment: '66 000',
          orders: [
            {
              number: 'INV19 235 8940',
              type: 'От даты заказа',
              accrued: '21.08.2019',
              transferred: '22.08.2019',
              paymentAndDueDate: {
                payment: '30%, 1 р.д.',
                price: '66 000'
              },
              orderStatus: {
                status: 'success',
                date: '13.10.2019'
              }
            },
            {
              number: 'INV19 235 8941',
              type: 'От даты исполнения',
              accrued: '11.11.2019',
              transferred: '12.11.2019',
              paymentAndDueDate: {
                payment: '30%, 1 р.д.',
                price: '74 000'
              },
              orderStatus: {
                status: 'warning',
                date: '31.12.2019'
              }
            },
            {
              number: 'INV19 235 8942',
              type: 'От даты подтвержд. POD',
              accrued: '05.04.2020',
              transferred: '05.04.2020',
              paymentAndDueDate: {
                payment: '40%, 14 р.д.',
                price: '88 000'
              },
              orderStatus: {
                status: 'waiting',
                date: ''
              }
            }
          ]
        },

        services: [
          {
            number: 'FIN19 259 7345',
            serviceTitle: 'Базовые услуги трекинга',
            startAddress: "Москва",
            endAddress: "Санкт-Петербург",
            totalPrice: '2 022 000',
            nds: '44 000',
            payment: '66 000',
            orders: [
              {
                number: 'INV19 235 8940',
                type: 'От даты заказа',
                accrued: '21.08.2019',
                transferred: '22.08.2019',
                paymentAndDueDate: {
                  payment: '30%, 1 р.д.',
                  price: '66 000'
                },
                orderStatus: {
                  status: 'success',
                  date: '13.10.2019'
                }
              },
              {
                number: 'INV19 235 8941',
                type: 'От даты исполнения',
                accrued: '11.11.2019',
                transferred: '12.11.2019',
                paymentAndDueDate: {
                  payment: '30%, 1 р.д.',
                  price: '74 000'
                },
                orderStatus: {
                  status: 'warning',
                  date: '31.12.2019'
                }
              },
              {
                number: 'INV19 235 8931',
                type: 'От даты подтвержд. POD',
                accrued: '05.04.2020',
                transferred: '05.04.2020',
                paymentAndDueDate: {
                  payment: '40%, 14 р.д.',
                  price: '88 000'
                },
                orderStatus: {
                  status: 'waiting',
                  date: ''
                }
              }
            ]
          },
          {
            number: 'FIN19 259 7345',
            serviceTitle: 'Контроль движения',
            startAddress: "Москва",
            endAddress: "Кинель",
            totalPrice: '3 000',
            nds: '44 000',
            payment: '66 000',
            orders: [
              {
                number: 'INV19 235 8940',
                type: 'От даты заказа',
                accrued: '21.08.2019',
                transferred: '22.08.2019',
                paymentAndDueDate: {
                  payment: '100%, 1 р.д.',
                  price: '2 000'
                },
                orderStatus: {
                  status: 'success',
                  date: '13.10.2019'
                }
              }
            ]
          },
          {
            number: 'FIN19 259 7345',
            serviceTitle: 'Уведомления участников',
            startAddress: "Москва",
            endAddress: "Кинель",
            totalPrice: '3 000',
            nds: '44 000',
            payment: '66 000',
            orders: [
              {
                number: 'INV19 235 8940',
                type: 'От даты заказа',
                accrued: '21.08.2019',
                transferred: '22.08.2019',
                paymentAndDueDate: {
                  payment: '100%, 1 р.д.',
                  price: '2 000'
                },
                orderStatus: {
                  status: 'success',
                  date: '13.10.2019'
                }
              }
            ]
          }
        ]
      }
    }
  }
</script>

<style lang="scss" scoped>
 @import '~common-components/src/static/css/variables';
 @import '~common-components/src/static/css/mixins';

h2 {
  @include font-mixin(20px, 28px, 700, $color-blue-navy-blue);

  sup {
    position: relative;
    top: 2px;
    @include font-mixin(12px, 20px, 400, $gray-slate, 0.6, uppercase);
    opacity: 0.8;
  }
}
</style>